QGIS Application - Bug report #10972
Cannot create a spatialite layer with no attributes
2014-07-29 06:47 AM - Olivier Dalang

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider/SpatialLite

Affected QGIS version:2.4.0 Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: end of life
Crashes QGIS or corrupls data: Copied to github as #: 19318
Description

Hi !

In the "new spatialite layer" window, the OK button is grayed out unless you add at least one attribute in the list (the autoincrementing
column doesn't count).
But as far as | know, a spatialite table with only a geometry column is perfectly valid and sometimes wanted.

Thanks !

History

#1 - 2016-05-24 10:53 PM - Alexander Bruy
- Category changed from Vectors to Data Provider/SpatiaLite

#2 - 2017-05-01 01:08 AM - Giovanni Manghi
- Easy fix? set to No
- Regression? set to No

#3 - 2019-03-09 03:12 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-Itr/
